export declare const FAILURE = -1;
export declare const SUSSESS = 1;
export declare const NO_ACTION = 0;
export declare const CONTINUE_ACTION = 1;
export declare const PREVENT_ACTION = 0;
export type ReturnStatus = number;
export declare abstract class AbstractController {
    onInit(): void;
    onDestroy(): void;
}
